# Interface VulkanPipelineDepthStencilStateCreateInfoType

All Known Implementing Classes:
  `VulkanPipelineDepthStencilStateCreateInfo`

@Immutable public interface VulkanPipelineDepthStencilStateCreateInfoType
Structure specifying parameters of a newly created pipeline depth stencil state.

See Also:
  - "VkPipelineDepthStencilStateCreateInfo"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default VulkanStencilOpState`
  `back()`
  `default boolean`
  `depthBoundsTestEnable()`
  `default VulkanCompareOp`
  `depthCompareOp()`
  `default boolean`
  `depthTestEnable()`
  `default boolean`
  `depthWriteEnable()`
  `Set<VulkanPipelineDepthStencilStateCreateFlag>`
  `flags()`
  `default VulkanStencilOpState`
  `front()`
  `default float`
  `maxDepthBounds()`
  `default float`
  `minDepthBounds()`
  `default boolean`
  `stencilTestEnable()`

- ## Method Details

  - ### flags

    Set<VulkanPipelineDepthStencilStateCreateFlag> flags()
    Returns:
      Creation flags

  - ### depthTestEnable

    @Default default boolean depthTestEnable()
    Returns:
      `true` if depth testing is enabled.

  - ### depthWriteEnable

    @Default default boolean depthWriteEnable()
    Returns:
      `true` if depth writing is enabled.

  - ### depthCompareOp

    @Default default VulkanCompareOp depthCompareOp()
    Returns:
      The comparison operator used in the depth test.

  - ### depthBoundsTestEnable

    @Default default boolean depthBoundsTestEnable()
    Returns:
      `true` if depth bounds testing is enabled.

  - ### stencilTestEnable

    @Default default boolean stencilTestEnable()
    Returns:
      `true` if stencil testing is enabled.

  - ### front

    @Default default VulkanStencilOpState front()
    Returns:
      The stencil op state for front faces.

  - ### back

    @Default default VulkanStencilOpState back()
    Returns:
      The stencil op state for back faces.

  - ### minDepthBounds

    @Default default float minDepthBounds()
    Returns:
      The minimum depth for bounds testing

  - ### maxDepthBounds

    @Default default float maxDepthBounds()
    Returns:
      The maximum depth for bounds testing